Bug 51526 - Process web application context config with embedded Tomcat.addWebApp(...)
Process web application context config with embedded Tomcat.addWebApp(...)
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
7.0.16
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-07-18 23:08 UTC by Ian Brandt
Modified: 2013-08-28 08:15 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Brandt 2011-07-18 23:08:06 UTC
It would be nice if org.apache.catalina.startup.Tomcat.addWebApp(...) would process the web application's META-INF/context.xml if found.  The current implementation skips META-INF/context.xml loading, and does not appear to offer any hook to enable it--the StandardContext is instantiated and initialized with a null configFile in the single call to addWebApp(...).
Comment 1 Mark Thomas 2011-07-19 11:27:26 UTC
Enhancement requests with patches tend to get resolved faster than those without.
Comment 2 Ian Brandt 2011-07-19 18:31:25 UTC
(In reply to comment #1)
> Enhancement requests with patches tend to get resolved faster than those
> without.

Certainly.  As I'm just getting acquainted with Tomcat internals I have some questions as to the "right" way to implement this.  I'll take them up on the tomcat-dev mailing list.
Comment 3 Violeta Georgieva 2013-08-28 08:15:02 UTC
The feature is in trunk and 7.0.x and will be included in 8.0.0-RC2 and 7.0.43 onwards.